Retrieve Token
Analytics Events
/ext/oidc/v1/verifiers/{id}/tokenOIDC Token endpoint
The OpenId Connect /token endpoint is used to obtain the access_token and id_token by presenting a valid authorization code
Analytic events
- OIDC_VERIFIER_AUTH_START
- OIDC_VERIFIER_AUTH_SUCCESS
- OIDC_VERIFIER_AUTH_FAIL
Path Parameters
Verifier ID
uuidRequest Body
application/x-www-form-urlencoded
Token endpoint request
uriResponse Body
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/ext/oidc/v1/verifiers/41458e5a-9092-40b7-9a26-d4eb43c5792f/token" \ -H "Content-Type: application/x-www-form-urlencoded" \ -d ''{
"access_token": "string",
"token_type": "bearer",
"refresh_token": "string",
"expires_in": 0,
"id_token": "string"
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Well Known OpenId Configuration GET
The standard OpenID Connect Well Known configuration metadata endpoint. This endpoint is unprotected, public facing and can be used by any party wishing to discover the OpenID Connect capabilities.
Create an OIDC Verifier POST
Creates a new OIDC Credential Verifier on the tenant. Once created, this OIDC Verifier is publicly available on its `/.well-known/openid-configuration` path. The Authorization header is not required as it is intended for OIDC Client applications to resolve. ### **Analytic events** * OIDC_VERIFIER_CREATE_START * OIDC_VERIFIER_CREATE_SUCCESS * OIDC_VERIFIER_CREATE_FAIL